{% extends '::base.html.twig' %} 
{% form_theme form_pf '::Forms/bootstrapForm.html.twig' %}




{% block title %}MDR - Cobranzas - Cobros y Postfechados{% endblock %}

{% block stylesheets %}
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/style.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/bootstrap.min.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/bootstrap-theme.min.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/icons.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/bootstrap-editable.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('vendor/css/jquery.dataTables.css') }}">
	<link href="{{ asset('bundles/mdrcobranza/images/logoMDR.png') }}"  rel="icon" type="image/x-icon" />
{% endblock %}

{% block body %}

<script>
//Bancos o Terminales	
	var Abancos = new Array();
		Abancos = "{{path('terminales_json')}}";
  var Apedidos1 = new Array(); //precarga de pedidos
  var Apedidosproductos = new Array(); //relacion de pedidos/productos
		
	

 
</script>
<!--BARRA DE MENUS-->
	 <div class="container" style="width:97%; margin-top:15px;">
    


      <div class="at_pfcobranza">
      		<div id="pf_opmenu">
      				{{form(form_pf)}}
      			
      		</div>
			<div class="table-responsive">

				<table class="table table-bordered" id="tbl_pf" >
					<thead class="head_table">
						<tr>
							<td style="width: 20px;"><span class="icon-check-square" id="icons"></span></td>
							<td style="width: 50px;" class="title_head">Pedido</td>
							<td style="width: 80px !important;;" class="title_head">Fecha del Pedido</td>
							<td style="width: 250px;" class="title_head">Productos</td>
							<td style="width: 90px;" class="title_head">Gastos Envio</td>
							<td style="width: 80px;" class="title_head">Subtotal</td>
							<td style="width: 105px;" class="title_head">Total</td>
							<td class="title_head">Promoción</td>
              <td class="title_head">Oficina de Ventas</td>
							<td style="width: 110px;" class="title_head">Terminal</td>
							<td style="width: 110px;" class="title_head">Posfechado</td>
							<td style="width: 80px !important;" class="title_head">Fecha Cobro</td>
							<td style="width: 30px;" class="title_head"></td>
						</tr>
					</thead>
					<tbody style="text-align: center;background: white;" id="pedidos_cobro">
						
					</tbody>
				</table>
			</div>
			<div id="btns_oper">
				<button type="button" onclick="marcar(':checkbox')" class="btn btn-primary" id="btn_all"><span class="icon-checked" id="icon_btn"></span>  Marcar todos</button>
				<button type="button" onclick="desmarcar(':checkbox')" class="btn btn-danger" id="btn_none"> <span class="icon-marquee" id="icon_btn"></span>  Desmarcar</button>
				<button type="button" class="btn btn-success" onclick="sendPf();" id="btn_wscobro"> <span class="icon-moneybag" id="icon_btn"></span>  Cobrar</button>
			</div>		
      </div>

<!--POPUP VALIDACION SUPERVISOR-->
<div class="modal fade bs-example-modal-sm modal_base" id="pf_supervisor" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
        <h4 class="modal-title" id="myModalLabel">Ingrese usuario y contraseña de <b>SUPERVISOR</b></h4>
      </div>
      <div class="modal-body">
      	<div class="form-group">
			    <div class="input-group">
			      <div class="input-group-addon"><span class="icon-user"></span></div>
			      <input class="form-control" type="text" placeholder="Usuario" id="user_sup">
			    </div>
			  </div>
        <div class="form-group">
			    <div class="input-group">
			      <div class="input-group-addon"><span class="icon-key"></span></div>
			      <input class="form-control" type="password" placeholder="Contraseña" id="pass_sup">
			    </div>
			  </div>
        <div class="row">
          <div class="col-md-12" id="super_loading" style="text-align: center;"></div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" id="btn_cancel_sup" onclick="canceledit();">Cancelar</button>
        <button type="button" class="btn btn-primary" id="btn_aceptar_sup">Aceptar</button>
      </div>
    </div>
  </div>
</div>

<!--POPUP ERROR DE TERMINAL FISICA -->
<div class="modal fade modal_base" id="popup_log" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
        <h3 class="modal-title" id="title_log"></h3>
      </div>
      <div class="modal-body" id="body_log">
          <textarea maxlength="100" rows="5" class="form-control" style="width:100%; resize: none;" id="comment_log" placeholder="Escriba el error obtenido en la terminal fisica y que terminal es..."></textarea>
      </div>
      <div class="modal-footer" id="footer_log">
            
      </div>
    </div>
  </div>
</div>

<!--DE OPERACIONES -->
<div class="modal fade bs-example-modal-lg modal_base" id="popup_operacion" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" style="width: 80% !important;">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
        <h3 class="modal-title" id="title_operacion"></h3>
      </div>
      <div class="modal-body" id="body_operacion">
        
      </div>
      <div class="modal-footer" id="footer_operacion">
            
      </div>
    </div>
  </div>
</div>




	</div>

{% endblock %}

{% block javascripts %}
    <script>
      //Loading para consulta de pedido
        var img_loding = new Image();
        img_loding.src = "{{ asset('vendor/img/lines_load.gif') }}";
    </script>
    <script type="text/javascript" src="{{ asset('bundles/mdrcobranza/js/tools_pf.js') }}"></script>
    {% include 'MDRCobranzaBundle:Cobranza:viewsPedidosCobro.html.twig' with {'pedidos': entities} %}
		<script type="text/javascript" src="{{ asset('bundles/mdrcobranza/js/bootstrap.min.js') }}"></script>
		<script type="text/javascript" src="{{ asset('bundles/mdrcobranza/js/bootstrap-editable.min.js') }}"></script>
    <!--TABLE API -->
    <script src="{{ asset('vendor/js/DataTablesJQuery.js') }}"></script>
    <!-- ******* -->
		
	<!--BACKBONE-->

		<script src="{{ asset('vendor/js/json2.js') }}" /></script>
    <script src="{{ asset('vendor/js/underscore.js') }}" /></script>
    <script src="{{ asset('vendor/js/backbone.js') }}" /></script>
		<script src="{{ asset('bundles/mdrcobranza/js/PedidosList.js')  }}" /></script>

    <script>

    $( "#form_fechaInicio" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
    });

    $( "#form_fechaFin" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
      maxDate: "+0D"
    });

    </script>

{% endblock %}

